Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3
Interface ObjectCreationFactory<T>

Type Parameters:
  `T` - The object type created byt the factory.

All Known Implementing Classes:
  AbstractObjectCreationFactory, FactoryCreate.DefaultObjectCreationFactory

    public interface ObjectCreationFactory<T>

Interface for use with `FactoryCreateRule`. The rule calls `createObject(org.xml.sax.Attributes)` to create an object to be pushed onto the `Digester` stack whenever it is matched.

`AbstractObjectCreationFactory` is an abstract implementation suitable for creating anonymous `ObjectCreationFactory` implementations.

Method Summary
`T` | `createObject(Attributes attributes)` Factory method called by `FactoryCreateRule` to supply an object based on the element's attributes.
`Digester` | `getDigester()` Returns the `Digester` that was set by the `FactoryCreateRule` upon initialization.
`void` | `setDigester(Digester digester)` Set the `Digester` to allow the implementation to do logging, classloading based on the digester's classloader, etc.

Method Detail

### createObject

    T createObject(Attributes attributes)
                   throws Exception

  Factory method called by `FactoryCreateRule` to supply an object based on the element's attributes.

  Parameters:
    `attributes` - the element's attributes
  Returns:
    the object to be pushed onto the `Digester` stack
  Throws:
    `Exception` - any exception thrown will be propagated upwards

### getDigester

    Digester getDigester()

  Returns the `Digester` that was set by the `FactoryCreateRule` upon initialization.

  Returns:
    the `Digester` that was set by the `FactoryCreateRule` upon initialization

### setDigester

    void setDigester(Digester digester)

  Set the `Digester` to allow the implementation to do logging, classloading based on the digester's classloader, etc.

  Parameters:
    `digester` - parent Digester object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.